summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorPeter Hutterer <peter.hutterer@who-t.net>2020-02-18 19:31:43 +1000
committerPeter Hutterer <peter.hutterer@who-t.net>2020-02-19 08:34:55 +1000
commitd7098601c867b35ec16e133f2b5e50a27c0b3354 (patch)
treef5c535b13dcceef3e42f8a363a6e03d1ba9b8afa /test
parentd654a8edf8070e21c1634809a4108e663eb4a16d (diff)
meson.build: hook up the static symbols leak test
And because bash on F31 is leaking, we need an extra valgrind suppression. Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
Diffstat (limited to 'test')
-rwxr-xr-xtest/test-static-symbols-leak.sh2
-rw-r--r--test/valgrind.suppressions7
2 files changed, 9 insertions, 0 deletions
diff --git a/test/test-static-symbols-leak.sh b/test/test-static-symbols-leak.sh
index 74ff3b9..d1746c3 100755
--- a/test/test-static-symbols-leak.sh
+++ b/test/test-static-symbols-leak.sh
@@ -5,6 +5,8 @@
# Note the spaces in the expressions! After the first grep, each line
# is " T symbol_name"
+test -z "$RUNNING_ON_VALGRIND" || exit 77
+
builddir="$1"
test -f "$builddir/test-static-link" || (echo "Unable to find test file" && exit 1)
diff --git a/test/valgrind.suppressions b/test/valgrind.suppressions
index 536b2f1..5fee7aa 100644
--- a/test/valgrind.suppressions
+++ b/test/valgrind.suppressions
@@ -18,3 +18,10 @@
fun:ioctl
fun:test_revoke*
}
+{
+ <bash_memleak>
+ Memcheck:Leak
+ ...
+ fun:reader_loop
+ fun:main
+}